Subject: Re: kludging a lujvo expander

From: [email-masked]
Date: Fri, 14 Sep 2001 21:46:55 -0000

ok, this looks like it's what i need. problem for me is that ver 
0.37 of the software doesn't appear to have an MS-DOS binary dist. 
ver 0.36 doesn't have the -el option. whenever you can do the binary 
would be fine. i'd like to make whatever i do with it available for 
lojban beginners. it may just end up being a fairly simple python 
program, though.

i was just thinking, also, that i could put in an option to 
insert "zei" between expanded cmavo/gismu to make it an equivalent 
lojban text.

--- In lojban@y..., Richard Curnow <richard@r...> wrote:
> On Tue, Sep 11, 2001 at 08:23:44AM -0000, thinkit8@l... wrote:
> > i looked at richard curnow's jbofi'e and the software on 
lojban.org's 
> > sight, and saw some useful utilities, but nothing that would 
quickly 
> > expand all the lujvos into gismu. so i'm going to try to kludge 
> 
> Create a file containing one lujvo per line, and do
> 
> vlatai -el < filename
> 
> You will get the expansions out in square brackets. Admittedly, 
it's
> then some kind of job for sed or perl to extract these fields. 
Example:
> file containing
> 
> jbofi'e
> vlatai
> 
> spits out
> 
> jbofi'e : lujvo : jbofi'e [lojbo+finpe]
> vlatai : lujvo : vlatai [valsi+tarmi]
> 
> > i think i'll end up doing it as a java function so i can put it 
into 
> > an applet or something later if need be. is anybody else 
interested 
> > in it? since it's so less than elegant i'll probably just end up 
> > using it for myself, but i'd be glad to give out the url if i end 
up 
> > putting it out as a web app, or if someone wants the 
code/bytecode.
> 
> Having something that would run as a web-page applet would be a good
> thing.
> 
> -- 
> Richard.
> ---------------------------------+----------------------------------
---
> Richard P. Curnow | C++: n., An octopus made by
> Weston-super-Mare, UK | nailing extra legs on a cat.
> http://www.rrbcurnow.freeuk.com/ |